APIFlights
Get a flight track
Authorization
bearerAuth tracks.read, flight.read.ownAuthorizationBearer <token>
Send Authorization: Bearer <credential>. Create API keys in AirTrail Security settings. OAuth clients use authorization code with PKCE S256 and a resource identifier matching /api/v1.
In: header
Scope: tracks.read, flight.read.own
Path Parameters
id*integer
Flight ID.
Range
1 <= valueResponse Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/v1/flights/1/track"{ "data": { "coordinates": [ [ 0, 0 ], [ 0, 0 ] ], "sourceFormat": "gpx", "sourceName": "string", "times": [ 0 ], "groundSpeedKt": [ 0 ], "trackDeg": [ 0 ], "ground": [ true ], "estimated": [ true ], "flightId": 0, "pointCount": 0, "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" }}